#ifndef _COC_LOGFILE_H_
#define _COC_LOGFILE_H_

#include "myc_buf.h"

#define LOG_ALL  31
#define LOG_STAT 32
#define LOG_SER  8
#define LOG_NET  4
#define LOG_INFO 2
#define LOG_MAIN 1
#define logfileStatusBuf(B) logfileStatusBuffer(B,sizeof(B))

void logfileStatusBuffer(char *buffer, int bufsize);
char *logfileInit(char *path, int nodate, int use_stdout, int write_all);
void logfileOut(int mask, const char *fmt, ...);
void logfileOutBuf(int mask, StrBuf *buf);
void logfileShowErr(char *text);
void logfileMask(int mask);
void logfileScan(int date, void (*scanLine)(void*, char*), void *arg);
void logfileWrite(int mask);
void logfileClose(void);
long int logfilePos(int n);
long int logfileGetLines(long int pos, int linmax, char *line, int len_line);

extern void (*logfileOutRtn)(int, char *); /* custom output routine */

#endif /* _COC_LOGFILE_H_ */
